export interface Social {
    type: string | null
    text: string,
    link: string
}

export interface StreamData {
    tags: string[]
    title: string
    topic: string
    startedAt: number
    viewers: number
    preview: string
}

export interface StreamerData {
    username: string
    followers: number
    followersAbbv: string
    isLive: boolean
    about: string
    socials?: Social[]
    pfp: string
    stream: StreamData | null
    isPartner: boolean
    colorHex: string
    id: number
}